

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>Data Peminjaman</h1>
    <h4>
        <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
        <div class="pull-right">
            <!-- <a href="<?= base_url('dashboard') ?>" class="btn btn-default btn-xs"><i class="glyphicon glyphicon-home"></i></a> -->
            <a href="add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Peminjaman</a>
        </div>
    </h4>
    <form method="post" name="proses">
        <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover" id="peminjaman">
                <thead>
                    <tr>
                        <th>
                            <center>
                                <input type="checkbox" id="select_all" value="">
                            </center>
                        </th>
                        <th>No.</th>
                        <th>Nama Karyawan</th>
                        <th>Nama Barang</th>
                        <th>Tgl Pinjam</th>
                        <th>Keterangan</th>
                        <th>Status</th>
                        <th>Tgl Kembali</th>
                        <th><i class="glyphicon glyphicon-cog"></i></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $no = 1;
                    $sql_poli = mysqli_query($con, "SELECT * FROM tb_peminjaman") or die(mysqli_error($con));
                    while ($data = mysqli_fetch_array($sql_poli)) { ?>
                        <tr>
                            <td align="center">
                                <input type="checkbox" name="checked[]" class="check" value="<?= $data['id_peminjaman'] ?>">
                            </td>
                            <td><?= $no++ ?>.</td>
                            <td><?= $data['nama_peminjam'] ?></td>
                            <td><?= $data['nama_brg'] ?></td>
                            <td><?= $data['tgl_pinjam'] ?></td>
                            <td><?= $data['keterangan'] ?></td>
                            <td><?= $data['status'] ?></td>
                            <td><?= $data['tgl_kembali'] ?></td>
                            <td align="center">
                                <a href="edit.php?id=<?= $data['id_brg'] ?>" class="btn btn-warning btn-xs"><i class="glyphicon glyphicon-edit"></i></a>
                            </td>
                        </tr>
                    <?php
                    }
                    ?>
                </tbody>
            </table>
        </div>
    </form>

    <div class="box pull-right">
        <button class="btn btn-danger btn-sm" onclick="hapus()"><i class="glyphicon glyphicon-trash"></i> Hapus</button>
    </div>
</div>
<script>
    $(document).ready(function() {

        $('#peminjaman').DataTable({
            columnDefs: [{
                "searchable": false,
                "orderable": false,
                "targets": [0, 8]
            }],
            "order": [1, "asc"]
        });

        $('#select_all').on('click', function() {
            if (this.checked) {
                $('.check').each(function() {
                    this.checked = true;
                })
            } else {
                $('.check').each(function() {
                    this.checked = false;
                })
            }
        });

        $('.check').on('click', function() {
            if ($('.check:checked').length == $('.check').length) {
                $('#select_all').prop('checked', true)
            } else {
                $('#select_all').prop('checked', false)
            }
        })
    })

    function hapus() {
        var conf = confirm('Yakin akan menghapus data?');
        if (conf) {
            document.proses.action = 'del.php';
            document.proses.submit();
        }
    }
</script>

<?php include_once('../_footer.php'); ?>